<template>
  <apex-chart
    height="100%"
    type="line"
    :options="defaultOptions"
    :series="series">
  </apex-chart>
</template>

<script>
import apexChart from 'vue-apexcharts'
import { light } from '@/services/themes'

export default {
  components: {
    apexChart
  },
  props: {
    series: {
      type: Array,
      required: true
    },
    options: {
      type: Object,
      required: false,
      default: () => ({})
    }
  },
  created() {
    Object.assign(this.defaultOptions, this.options)
  },
  data() {
    return {
      defaultOptions: {
        chart: {
          stacked: true,
          toolbar: {
            show: false
          },
          zoom: {
            enabled: true
          }
        },
        colors: [light.primary, light.secondary, light.accent],
        dataLabels: {
          enabled: false
        },
        fill: {
          colors: [light.primary, light.secondary, light.accent]
        },
        tooltip: {
          enabled: false
        },
        xaxis: {
          hideOverlappingLabels: true,
          labels: {
            datetimeFormatter: {
              year: 'yyyy',
              month: "MMM 'yy",
              day: 'dd MMM',
              hour: 'HH:mm'
            }
          },
          type: 'datetime'
        }
      }
    }
  }
}
</script>
